/*************************************************************** 
* 
* Handle.h               & XMM Science Analysis System (SAS) 
* 
* Class representing a Handle to an object.
* 
* (c) 1997 ESA - Written by Mark Thomas, CARA
* 
* $Id: Handle.h,v 1.3 2008/09/26 16:38:55 eojero Exp $ 
* 
*****************************************************************/ 

#ifndef Handle_H
#define Handle_H


template<class T>
class Handle {
public :
	Handle() : _addressOfObject( (const T *)0 ) {};
	Handle(const T *addressOfObject) : _addressOfObject(addressOfObject) {}
	Handle(const T & object) : _addressOfObject(&object) {}

	T * addressOfObject() const {
		return (T *)_addressOfObject;
	}

private:
	const T *_addressOfObject;
};

#endif

