program randtest
    use Random
    implicit none

    integer i
    real(kind=double) d

    call SAS_randSetMinMaxRange(-20.d0, 100.d0, CLOSED)
    write(*, *) 'Seed is: ', SAS_randSeed()
    do i=1, 1000
        d=SAS_rand()
        if (d<-20.d0 .or. d > 100.d0) &
            stop 'randf90 - out of bounds 1'
    enddo

    call SAS_randPushState(200.d0, 300.d0, CLOSED)
    do i=1, 1000
        d=SAS_rand()
        if (d<200.d0 .or. d > 300.d0) &
            stop 'randf90 - out of bounds 2'
    enddo

    call SAS_randPopState()
    do i=1, 1000
        d=SAS_rand()
        if (d<-20.d0 .or. d > 100.d0) &
            stop 'randf90 - out of bounds 1'
    enddo
    write(*, *) 'Min/Max:', SAS_randMin(), SAS_randMax()

end program
